﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using Infragistics.Windows.DataPresenter;
using Infragistics.Windows.Editors;

namespace ChangeFieldEditorStyleProgrammatically
{
    public partial class ChangeFieldEditorStyle : Window
    {
        public ChangeFieldEditorStyle()
        {
            InitializeComponent();
        }

        private void changeFieldEditorStyle_Click(object sender, RoutedEventArgs e)
        {
           Field field = xamDataGrid1.FieldLayouts[0].Fields["salary"];
           field.Settings.EditorType = typeof(XamNumericEditor);
           Style style = new Style(typeof(XamNumericEditor));
           style.Setters.Add(new Setter(XamNumericEditor.MaskProperty, XamNumericEditor.GetDefaultMaskForType(typeof(double))));
           field.Settings.EditorStyle = style;
           if (field.IsExpandable.HasValue)
               field.IsExpandable = null;
           else
               field.IsExpandable = false;
        }
    }
}
